Kalshi Events
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/eventsimport requests
url = "https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"event_ticker": "<string>",
"event_title": "<string>",
"market_count": 123,
"markets": [
{
"event_ticker": "<string>",
"last_day_open_interest": 123,
"market_ticker": "<string>",
"notional_volume_usd": 123,
"open_interest": 123,
"payout_type": "<string>",
"status": "<string>",
"title": "<string>",
"total_volume": 123,
"category": "<string>",
"close_time": 123,
"end_time": 123,
"event_title": "<string>",
"result": "<string>",
"start_time": 123,
"subcategory": "<string>"
}
],
"event_subtitle": "<string>"
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseKalshiEvent.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Prediction Market
Kalshi Events
GET
/
gateway
/
v1
/
prediction-market
/
kalshi
/
events
Kalshi Events
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/eventsimport requests
url = "https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/prediction-market/kalshi/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"event_ticker": "<string>",
"event_title": "<string>",
"market_count": 123,
"markets": [
{
"event_ticker": "<string>",
"last_day_open_interest": 123,
"market_ticker": "<string>",
"notional_volume_usd": 123,
"open_interest": 123,
"payout_type": "<string>",
"status": "<string>",
"title": "<string>",
"total_volume": 123,
"category": "<string>",
"close_time": 123,
"end_time": 123,
"event_title": "<string>",
"result": "<string>",
"start_time": 123,
"subcategory": "<string>"
}
],
"event_subtitle": "<string>"
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseKalshiEvent.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Query Parameters
Event ticker identifier
Example:
"KXBTCD-26MAR31"
Results per page
Required range:
1 <= x <= 100Example:
20
Pagination offset
Required range:
x >= 0Example:
0